clang 8.0.0

Public Attributes | List of all members
clang::sema::LambdaScopeInfo::ShadowedOuterDecl Struct Reference

Contains all of the variables defined in this lambda that shadow variables that were defined in parent contexts. More...

`#include "clang/Sema/ScopeInfo.h"`

Collaboration diagram for clang::sema::LambdaScopeInfo::ShadowedOuterDecl:
[legend]

## Public Attributes
const VarDecl * | VD
const VarDecl * | ShadowedDecl

## Detailed Description

Contains all of the variables defined in this lambda that shadow variables that were defined in parent contexts.

Used to avoid warnings when the shadowed variables are uncaptured by this lambda.

Definition at line 859 of file ScopeInfo.h.

## Member Data Documentation

## ◆ ShadowedDecl

const VarDecl* clang::sema::LambdaScopeInfo::ShadowedOuterDecl::ShadowedDecl

Definition at line 861 of file ScopeInfo.h.

## ◆ VD

const VarDecl* clang::sema::LambdaScopeInfo::ShadowedOuterDecl::VD

Definition at line 860 of file ScopeInfo.h.

The documentation for this struct was generated from the following file:

- include/clang/Sema/ScopeInfo.h